<?php

function shift_schedule_698_show_user($id, $flag) {

    $user = get_post($id);
    $image_src = get_the_post_thumbnail_url($id, 'post-thumbnail');
    $flag = shift_schedule_698_get_flag($flag);

    $html = '<li class="shift-schedule-user">'; 
    if (!empty($image_src)) {
        $html .= '<img src="'.$image_src.'" />';
    }
    $html .= '<span class="shift-schedule-user-title">'.$user->post_title.'</span>' .
             '<span class="flag" style="background-color:'.$flag->color.';">'.$flag->chars.'</span>'.
             '<span class="flag-title" data-slug="'.$flag->alias.'">'.$flag->title.'</span>';            
    
    $html .= '</li>';
    
    return $html;
}
add_filter('shift_schedule_show_user', 'shift_schedule_698_show_user', 10, 2);

function shift_schedule_698_render_group($html) {
    $html = '<ul class="shift-schedule-users">' . $html . '</ul>';
    return $html;    
}
add_filter('shift_schedule_render_group', 'shift_schedule_698_render_group', 10, 1);

function shift_schedule_698_no_sunordinates($text) {
    return '<div class="shift-schedule-warning">' . $text . '</div>';
}
add_filter('shift_schedule_no_sunordinates', 'shift_schedule_698_no_sunordinates', 10, 1);
